自定义请求头
通过添加 Wsa- 前缀,将任意请求头附加到发出的抓取请求中。API 会去除该前缀,并将请求头转发给目标站点。
GET https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=<TARGET_URL>
| 参数 | 类型 | 是否必填 | 说明 |
|---|---|---|---|
api_key | string | 是 | 您的 Web Scraping API 密钥 |
url | string | 是 | 要获取的目标 URL |
Wsa-*(请求头) | string | 否 | 任何以 Wsa- 为前缀的请求头都会在去除该前缀后转发给目标站点。 |
curl "https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=http%3A%2F%2Fhttpbin.org%2Fheaders" \ -H "Wsa-My-header: test" \ -H "Wsa-User-Agent: potato"import requests
r = requests.get( "https://scrape.shifter.io/v1", params={"api_key": "YOUR_API_KEY", "url": "http://httpbin.org/headers"}, headers={"Wsa-My-header": "test", "Wsa-User-Agent": "potato"},)print(r.json())import fetch from 'node-fetch';
const url = 'https://scrape.shifter.io/v1?' + new URLSearchParams({ api_key: 'YOUR_API_KEY', url: 'http://httpbin.org/headers',});const res = await fetch(url, { headers: { 'Wsa-My-header': 'test', 'Wsa-User-Agent': 'potato', },});console.log(await res.json());{ "headers": { "Accept": "text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8", "Accept-Encoding": "gzip, deflate, br", "Host": "httpbin.org", "My-Header": "test", "Upgrade-Insecure-Requests": "1", "User-Agent": "potato" }}